/**
 * Copyright 2006-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.scan.api;

import java.net.URL;
import java.util.List;
import java.util.Set;

import org.ow2.util.scan.api.configurator.IArchiveConfigurator;

/**
 * ArchiveScanner.
 * @author Gael Lalire
 */
public interface IScanner {


    /**
     * @param url the class url
     * @param archiveConfiguratorList configurators to call
     * @param referencedClasses this set is filled during analyze
     * @throws ScanException if error occurs
     */
    void scanClass(URL url, Set<String> referencedClasses, List<? extends IArchiveConfigurator> archiveConfiguratorList)
            throws ScanException;

}
