/**
 * Copyright 2006-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.scan.api.classlocator;

import java.net.URL;

import org.ow2.util.scan.api.IClassesLocator;

/**
 *
 * @author Gael Lalire
 */
public class ClassLoaderClassesLocator implements IClassesLocator {

    /**
     * A classloader.
     */
    private ClassLoader classLoader;

    /**
     * @param classLoader a classloader
     */
    public ClassLoaderClassesLocator(final ClassLoader classLoader) {
        this.classLoader = classLoader;
    }

    /**
     * @param className the class name
     * @return the url of the class named className
     */
    public URL getClassURL(final String className) {
        return classLoader.getResource(className.replace('.', '/').concat(".class"));
    }

}
