/**
 * Copyright 2006-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.scan.api.configurator;

import org.ow2.util.scan.api.metadata.structures.JClass;

/**
 * ArchiveConfigurator is used by ArchiveScanner to parse the archive.
 * @author Gael Lalire
 */
public interface IArchiveConfigurator {

    /**
     * @param jClass class signature
     * @return a class configurator
     */
    IClassConfigurator createClassConfigurator(JClass jClass);

}
