/**
 * Copyright 2006-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.scan.api.configurator;

import java.util.Set;

import org.ow2.util.scan.api.IAnnotationVisitor;
import org.ow2.util.scan.api.metadata.structures.JAnnotation;

/**
 * CommonConfigurator.
 * @author Gael Lalire
 */
public interface ICommonConfigurator {

    /**
     * a method invoked when an annotation is found.
     * @param jAnnotation annotation signature
     * @return a visitor
     */
    IAnnotationVisitor getAnnotationVisitor(final JAnnotation jAnnotation);

    /**
     * this method is invoke when all annotation found.
     * @param referencedClasses you may fill this set with class referenced in current metadata
     */
    void configurationComplete(Set<String> referencedClasses);

}
