/**
 * Copyright 2006-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.scan.api.metadata;

import java.io.Serializable;

import org.ow2.util.scan.api.metadata.structures.JField;

/**
 * Interface of a field metadata.
 * @param <C> interface of a class metadata
 * @param <M> interface of a method metadata
 * @param <F> interface of a field metadata
 * @author Gael Lalire
 */
public interface IFieldMetadata<
    C extends IClassMetadata<C, M, F>,
    M extends IMethodMetadata<C, M, F>,
    F extends IFieldMetadata<C, M, F>> extends Serializable {

    /**
     * @return JField object
     */
    JField getJField();

    /**
     * @return parent metadata (class)
     */
    C getClassMetadata();

}
