/**
 * Copyright 2006-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.scan.api.metadata.specific;

import org.ow2.util.scan.api.metadata.structures.JField;


/**
 * Interface of a specific field metadata.
 * @param <SC> interface of a specific class metadata
 * @param <SM> interface of a specific method metadata
 * @param <SF> interface of a specific field metadata
 * @author Gael Lalire
 */
public interface ISpecificFieldMetadata<
    SC extends ISpecificClassMetadata<SC, SM, SF>,
    SM extends ISpecificMethodMetadata<SC, SM, SF>,
    SF extends ISpecificFieldMetadata<SC, SM, SF>> {

    /**
     * @return parent metadata (class)
     */
    SC getSpecificClassMetadata();

    /**
     * @return JField object
     */
    JField getJField();

}
