/**
 * Copyright 2006-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.scan.api.metadata.specific;



/**
 * @param <SC> type of specific class metadata
 * @param <SM> type of specific method metadata
 * @param <SF> type of specific field metadata
 * @author Gael Lalire
 */
public abstract class SpecificFieldMetadata<
    SC extends ISpecificClassMetadata<SC, SM, SF>,
    SM extends ISpecificMethodMetadata<SC, SM, SF>,
    SF extends ISpecificFieldMetadata<SC, SM, SF>>
        extends SpecificCommonMetadata
        implements ISpecificFieldMetadata<SC, SM, SF> {

    /**
     * Parent metadata.
     */
    private SC classMetadata = null;

    /**
     * Constructor.
     * @param classMetadata the parent metadata.
     */
    public SpecificFieldMetadata(final SC classMetadata) {
        this.classMetadata = classMetadata;
    }

    /**
     * {@inheritDoc}
     */
    public SC getSpecificClassMetadata() {
        return classMetadata;
    }

}
